## OobsSelfConfig

OobsSelfConfig — Object that represents the current user

## Functions

OobsObject * | oobs_self_config_get ()
OobsUser * | oobs_self_config_get_user ()
gboolean | oobs_self_config_is_user_self ()

## Object Hierarchy

        GObject
        ╰── OobsObject
            ╰── OobsSelfConfig

## Description

## Functions

### oobs_self_config_get ()

    OobsObject *
    oobs_self_config_get (void);

Returns the OobsSelfConfig singleton, which represents the user configuration for the requester uid.

#### Returns

the singleton OobsSelfConfig object.

### oobs_self_config_get_user ()

    OobsUser *
    oobs_self_config_get_user (OobsSelfConfig *config);

Returns the OobsUser that represents the requester user.

#### Parameters

config | An OobsSelfConfig. |

#### Returns

An OobsUser, you must not reference this object.

### oobs_self_config_is_user_self ()

    gboolean
    oobs_self_config_is_user_self (OobsSelfConfig *config,
                                   OobsUser *user);

Check whether `user` is the user represented by OobsSelfConfig.

#### Parameters

config | An OobsSelfConfig. |
user | An OobsUser. |

#### Returns

`TRUE` if `user` is self, `FALSE` otherwise.